# Search

**Endpoint:** `/api/resources/[RESOURCE-ID]/actions/search/[SEARCH-PHRASE]?[SEARCH-CONDITIONS]`

**Method:** GET

**Request params:**&#x20;

* `title` - searching by title
* `filers.[field_name]` - searching by field values
* `page` - requested page number&#x20;
* `perPage` - number of records per page (max `500)`
* `sortBy` - id of the sorting column&#x20;
* `direction` - sorting direction, possible values `asc`,`desc`

**Response:**

* `records` - list of records with resource metadata
  * `record` - record you're requesting
    * `params` - all record data&#x20;
    * `id` - record id
    * `title` - record title
    * `recordActions`- list all actions and their parameters available on this record
    * `bulkActions`- list of all bulk actions and their parameters available on this record

**Example:**

Endpoint: <https://adminjs-demo.herokuapp.com/admin/api/resources/categories/actions/search/Games>

```json
{
   "records":[
      {
         "params":{
            "id":2,
            "name":"Games",
            "createdAt":"2023-01-30T13:01:39.597Z",
            "updatedAt":"2023-01-30T13:01:39.597Z"
         },
         "populated":{
            
         },
         "baseError":null,
         "errors":{
            
         },
         "id":2,
         "title":"Games",
         "recordActions":[
            {
               "name":"show",
               "actionType":"record",
               "icon":"Screen",
               "label":"Show",
               "resourceId":"categories",
               "guard":"",
               "showFilter":false,
               "showResourceActions":true,
               "showInDrawer":false,
               "hideActionHeader":false,
               "containerWidth":1,
               "layout":null,
               "variant":"default",
               "parent":null,
               "hasHandler":true,
               "custom":{
                  
               }
            },
            {
               "name":"edit",
               "actionType":"record",
               "icon":"Edit",
               "label":"Edit",
               "resourceId":"categories",
               "guard":"",
               "showFilter":false,
               "showResourceActions":true,
               "showInDrawer":false,
               "hideActionHeader":false,
               "containerWidth":1,
               "layout":null,
               "variant":"default",
               "parent":null,
               "hasHandler":true,
               "custom":{
                  
               }
            },
            {
               "name":"delete",
               "actionType":"record",
               "icon":"TrashCan",
               "label":"Delete",
               "resourceId":"categories",
               "guard":"Do you really want to remove this item?",
               "showFilter":false,
               "showResourceActions":true,
               "component":false,
               "showInDrawer":false,
               "hideActionHeader":false,
               "containerWidth":1,
               "layout":null,
               "variant":"danger",
               "parent":null,
               "hasHandler":true,
               "custom":{
                  
               }
            }
         ],
         "bulkActions":[
            {
               "name":"bulkDelete",
               "actionType":"bulk",
               "icon":"Delete",
               "label":"Delete all",
               "resourceId":"categories",
               "guard":"",
               "showFilter":false,
               "showResourceActions":true,
               "showInDrawer":true,
               "hideActionHeader":false,
               "containerWidth":"500px",
               "layout":null,
               "variant":"danger",
               "parent":null,
               "hasHandler":true,
               "custom":{
                  
               }
            }
         ]
      }
   ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adminjs.co/basics/api/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
